GNU bug report logs - #36791
[PATCH 02/11] gnu: Add r-kableextra.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36792, #36793, #36794, #36795, #36796, #36797, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:31 2019
Received: from localhost ([127.0.0.1]:37981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuI-0005Lh-OM
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:56560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuC-0005Ke-AP
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41043)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuB-0003Hc-6q
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuA-0007BV-28
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:23 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:43436)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLu9-0007AL-Sg
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:22 -0400
Received: by mail-wr1-x42f.google.com with SMTP id p13so47974634wru.10
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=7sQ4hMMewGNK1ZUfxvELsM3vEj41+txaX373UyUZUqs=;
 b=XYdgAYJY5iu+br3qnF+QyDWO/FlQiEh6fNqIPwb2Cq4F4krqYaX3vF7cu4GznNMpFP
 L7178xI+hX1ci6g5aZEOLEzXhUUR3OsoToxHQ81KHerR6C5FT+Y1xeJEyxAeqFA3pbRy
 pKEtFuAOesifjCKzvv0rz+AoDLJyttPv92D6mAPD/nNhL5CbdPiy9qV626os3hgQBm3o
 1RyZUiOD1+OLyXwvNXGzUT8WKvUQDVlEPoiiC1XUfXSq6/oq9aTabOBQWJM5fEfluGhG
 Z9oDMBaJjtGr9tF4sdXtHGEqsxj2phjzt/AZXbnhseUZDMQ04Ng36m6rPuxvvcr62exd
 sfsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=7sQ4hMMewGNK1ZUfxvELsM3vEj41+txaX373UyUZUqs=;
 b=jSwS85TtTE5295PVRRmcrwQqhkD66CcGz897WoYndMVi6+HKlo7EcwdvvruMaoqACp
 SHRhc9GHOErr5bvshZtd/0yIONEZ06NAm7zhwMHZUn08k5mmkJ5sJOeJDTwbp22n1Pf/
 zcrh2Wc7vMxtZfloP9dViI1a/mDm0dokcYAffyeKnU6xpXX+EMhhx2S2w1E6jsafr5Ms
 LhyI54hNb9c54Ttb/ti1k+NZAs+LJlfM1MKJhX47p6DFpB4ka5hAEmxq6wIH0JXINIUV
 +H2a9h4Cef5bb9iRonpqJj4T0kqSmlrICxT8heh91zF31AFaYj48QJXJ2cNop4w6gz5F
 InNw==
X-Gm-Message-State: APjAAAUwaHfnAbDiqRJtRw7eg4YeJJb+Fw0Ly1GJb0SISqnSH6fxhyoe
 Bex4DBKRS14Nu80jmy/o23/wRpjn
X-Google-Smtp-Source: APXvYqy9rS2iAxcsrW9VrdpwvwnYN3avi70ONFvF5PWzl8rkTGt7W0ZLCglayQdJH6KUBExaGmQAag==
X-Received: by 2002:a5d:6408:: with SMTP id z8mr73352019wru.246.1563992540767; 
 Wed, 24 Jul 2019 11:22:20 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:20 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 02/11] gnu: Add r-kableextra.
Date: Wed, 24 Jul 2019 20:21:55 +0200
Message-Id: <20190724182204.6818-3-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42f
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/cran.scm (r-kableextra): New variable.
---
 gnu/packages/cran.scm | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 768a7d09c5..7349a9513e 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -14557,3 +14557,43 @@ in <arXiv:1802.03426>.  This package provides an interface to the UMAP
 algorithm in R, including a translation of the original algorithm into R with
 minimal dependencies.")
     (license license:expat)))
+
+(define-public r-kableextra
+  (package
+    (name "r-kableextra")
+    (version "1.1.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (cran-uri "kableExtra" version))
+        (sha256
+          (base32
+            "1nicvw06xsf3a1f5c10mih07b76m2v5s5h165vmz0qx6n1a3492i"))))
+    (properties `((upstream-name . "kableExtra")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-digest" ,r-digest)
+        ("r-glue" ,r-glue)
+        ("r-htmltools" ,r-htmltools)
+        ("r-knitr" ,r-knitr)
+        ("r-magrittr" ,r-magrittr)
+        ("r-readr" ,r-readr)
+        ("r-rmarkdown" ,r-rmarkdown)
+        ("r-rstudioapi" ,r-rstudioapi)
+        ("r-rvest" ,r-rvest)
+        ("r-scales" ,r-scales)
+        ("r-stringr" ,r-stringr)
+        ("r-viridislite" ,r-viridislite)
+        ("r-webshot" ,r-webshot)
+        ("r-xml2" ,r-xml2)))
+    (home-page
+      "http://haozhu233.github.io/kableExtra/")
+    (synopsis
+      "Construct Complex Table with 'kable' and Pipe Syntax")
+    (description
+      "Build complex HTML or 'LaTeX' tables using 'kable()' from 'knitr' and
+the piping syntax from 'magrittr'.  Function 'kable()' is a light weight table
+generator coming from 'knitr'.  This package simplifies the way to manipulate
+the HTML or 'LaTeX' codes generated by 'kable()' and allows users to construct
+complex tables and customize styles using a readable syntax.")
+    (license license:expat)))
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36791; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.